/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
clearAll = function () {
    cordova.plugins.notification.local.clearAll(callback);
};
cancelAll = function () {
    cordova.plugins.notification.local.cancelAll(callback);
};


var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function() {

        alert('onDeviceReady');

        clearAll();
        cancelAll();


        window.open('http://qflirt.com/m/', '_self');

        /*
        cordova.plugins.notification.local.schedule({
            id: 1,
            title: "Production Jour fixe",
            text: "Duration 1h",
            data: "123#fg8"
        });
        */


        setTimeout(function(){

            //  iabRef = window.open('http://qflirt.com/_frameworks/mobile/urban_mobile/_temp1/index.html', '_self');

            alert('open QFlirt');
            window.open('http://qflirt.com/m/', '_self');

            // iabRef.addEventListener('loadstop', changeBackgroundColor);
            // iabRef.addEventListener('exit', iabClose);

        }, 2000);


        app.receivedEvent('deviceready');
    },
    // Update DOM on a Received Event
    receivedEvent: function(id) {
        var parentElement = document.getElementById(id);
        var listeningElement = parentElement.querySelector('.listening');
        var receivedElement = parentElement.querySelector('.received');

        listeningElement.setAttribute('style', 'display:none;');
        receivedElement.setAttribute('style', 'display:block;');

        console.log('Received Event: ' + id);
    }
};
app.initialize();

function openQFlirt(){

    // window.open('http://qflirt.com/_frameworks/mobile/urban_mobile/_temp1/index.html', '_self');
    window.open('http://qflirt.com/m/', '_self');

}

function schedule(){

    cordova.plugins.notification.local.schedule({
        id: 1,
        title: "rtttt",
        text: "asdasdasdasd",
        data: "5523#fg8"
    });

    cordova.plugins.notification.local.on("click", function(notification) {
        alert("clicked: " + notification.id);
    });

    cordova.plugins.notification.local.on("schedule", function(notification) {
        alert("scheduled: " + notification.id);
    });


    cordova.plugins.notification.local.on("trigger", function(notification) {
        alert("triggered: " + notification.id);
    });

}

$(function(){



    /*
    cordova.plugins.notification.local.hasPermission(function (granted) {

        alert(granted);

    });
    */


});